%define name diashapes 
%define version 0.0.1
%define prefix /usr
%define rel 1

Name:           diashapes 
Version:        0.0.1
Release:        1
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	dia
%if 0%{?suse_version}
BuildRequires:  gtk2-devel glib2-devel libglade2-devel libxml2-devel curl libgsf-devel pkg-config libcurl-devel
%else
BuildRequires:  libgtk2.0-dev libglib2.0-dev libglade2-dev pkg-config
%endif
Source:         http://downloads.sourceforge.net/dia-installer/diashapes-0.0.1.tar.bz2
Group:          Office
Summary:        Install additional Dia shape packages.
Packager:       Steffen Macke <sdteffen@sdteffen.de>
URL:            http://dia-installer.de/shapes

%description
Install additional Dia shape packages from the Dia Shape Repository.
http://dia-installer.de/shapes

%prep
%setup -q

%build
if [ -x ./configure ]; then  
  CFLAGS=$RPM_OPT_FLAGS ./configure  --prefix=%{prefix}  
else  
  CFLAGS=$RPM_OPT_FLAGS ./autogen.sh --prefix=%{prefix}  
fi  
make  

%install
dummydir=$RPM_BUILD_ROOT/usr/lib/diashapes
mkdir -p $dummydir
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO  
   
%{prefix}/bin/diashapes  
%{prefix}/share/diashapes/diashapes.glade

%changelog 
* Sun Apr 20 2008 2008-04-20 Steffen Macke <sdteffen@sdteffen.de>
  - Updated for 0.0.1 release
